// PDFOCX_Demo_VC6Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "PDFOCX_Demo_VC6.h"
#include "PDFOCX_Demo_VC6Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPDFOCX_Demo_VC6Dlg dialog

CPDFOCX_Demo_VC6Dlg::CPDFOCX_Demo_VC6Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPDFOCX_Demo_VC6Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPDFOCX_Demo_VC6Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPDFOCX_Demo_VC6Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPDFOCX_Demo_VC6Dlg)
	DDX_Control(pDX, IDC_PDFX1, m_PDFConverterX);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPDFOCX_Demo_VC6Dlg, CDialog)
	//{{AFX_MSG_MAP(CPDFOCX_Demo_VC6Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPDFOCX_Demo_VC6Dlg message handlers

BOOL CPDFOCX_Demo_VC6Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPDFOCX_Demo_VC6Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPDFOCX_Demo_VC6Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CPDFOCX_Demo_VC6Dlg::OnButton1() 
{
  long lRetVal;
  char sErr[500];

  lRetVal = ConvertPDF("E:\\Delme\\TryMe.PDF","E:\\Delme\\Tryme.TXT",true,"","",0,0,1,sErr);
}

/*
' ConvertPDFToFile()
' -1 = "PDFCX: Unable to open necessary SII DLL"
' -2 = "PDFCX: File is invalid or could not open" + vbLf + "  " + sInputFile
' -5 = "PDFCX: Couldn't read the page catalog"
' -6 =  "PDFCX: PDF File is damaged"
' -7 =  "PDFCX: file is encrypted and password was incorrect or not supplied"
' -8 =  "PDFCX: User does not have permission to read"
' -9 =  "PDFCX: Invalid last page range specified"
' -10 = "PDFCX: Shareware expired"
*/
long CPDFOCX_Demo_VC6Dlg::ConvertPDF(char *sInputFile, 
                      char *sOutputFile, 
                      bool bIgnoreProtect, 
                      char *sPasswordUser, 
                      char *sPasswordOwner, 
                      long lFirstPage, 
                      long lLastPage, 
                      long lTargetFileType, 
                      char *sErr) 
{
  long lResult;
  
  m_PDFConverterX.SetInputFile(sInputFile);
  m_PDFConverterX.SetOutputFile(sOutputFile);
  m_PDFConverterX.SetPasswordOwner(sPasswordUser);
  m_PDFConverterX.SetPasswordUser(sPasswordOwner);
  m_PDFConverterX.SetTargetFileType(lTargetFileType);
  m_PDFConverterX.SetFirstPage(lFirstPage);
  m_PDFConverterX.SetLastPage(lLastPage);
   
  lResult = m_PDFConverterX.ConvertPDFToFile();
  strcpy(sErr,m_PDFConverterX.GetErrorString());
  return lResult;
}
